
@blue: #0092BC;

#feedback-widget {

    background-color: @blue;
    color: #fff;
    font-size: 14px;
    font-family: Helvetica;
    border-bottom-left-radius: .3em;
    border-top-left-radius: .3em;
    bottom: 4em;
    min-height: 46px;
    min-width: 46px;
    padding: .4em;
    position: fixed;
    right: 0;

    transition: width .8s, height .8s;

    @import "../../../../../node_modules/jquery-bar-rating/themes/css-stars.less";

    > #fbw-main-btn {
        background-color: transparent;
        border-style: none;
        cursor: pointer;
        float: left;
        margin: 2px;
        padding: 0;
        box-shadow: none;
    }

    &.expanded > #fbw-wrapper {
        display: block;
    }

    > #fbw-wrapper {

        transition: width .8s, height .8s;

        display: none;

        > form {

            margin: 0px;
            padding: 0px;

            > #fbw-rating {

                height: 42px;
                line-height: 42px;
                margin: 2px 6px 2px 54px;
                white-space: nowrap;

                > #fbw-rating-label {
                    display: inline-block;
                    width: 12em;
                }

                > #fbw-rating-input {
                    display: inline-block;
                }

            }

            > #fbw-comment {

                display: none;
                margin: 2px 6px 2px 54px;

                > label {
                    display: block;
                    margin: 4px 0;
                }

                > textarea {
                    color: #333;
                    display: block;
                    margin: 8px 0;
                    min-height: 4.5em;
                    max-height: 4.5em;
                    min-width: 100%;
                    max-width: 100%;
                }

                > button {
                    background-color: #fff;
                    border: none;
                    border-radius: .3em;
                    color: @blue;
                    float: right;
                    margin-bottom: .6em;
                    padding: .3em 1em;
                }

            }

            > #fbw-thanks {

                display: none;
                height: 42px;
                line-height: 42px;
                margin: 2px 6px 2px 54px;

            }

        }

    }

}

